Subject: bug#48479: 28.0.50; Crash on `read--expression'

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 May 2021 13:12:17 -0400

>> Is there any significant advantage of not detecting syntax errors?
> I don't think I agree that this is a syntax error.
> What do others think about this?  Lars? Stefan? Richard?

I think the condition handler of `condition-case` should be of the form
(CONDITIONS . BODY) so I think having nil counts as a syntax error, tho
it's arguable since nil ≃ (nil . nil)

I wouldn't bother signaling an error when we interpret the code, but it
would be good for the byte-compiler to warn about it.

        Stefan